io.vertx.ext.json.schema

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.ext.json.schema.ValidationException

- All Implemented Interfaces:
    Serializable

      public class ValidationException
      extends VertxException

  This is the main class for every Validation flow related errors
  Author:
    Francesco Guardiani @slinkydeveloper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValidationException(String message, String keyword, Object input)`
    `protected` | `ValidationException(String message, Throwable cause, String keyword, Object input)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationException` | `createException(String message, String keyword, Object input)`
    `static ValidationException` | `createException(String message, String keyword, Object input, Throwable cause)`
    `Object` | `input()` Returns the input that triggered the error
    `String` | `keyword()` Returns the keyword that failed the validation, if any
    `Schema` | `schema()` Returns the schema that failed the validation
    `JsonPointer` | `scope()` Returns the scope of the schema that failed the validation
    `void` | `setSchema(Schema schema)`
    `void` | `setScope(JsonPointer scope)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          protected ValidationException(String message,
                                        String keyword,
                                        Object input)

    - #### ValidationException

          protected ValidationException(String message,
                                        Throwable cause,
                                        String keyword,
                                        Object input)

  - ### Method Detail

    - #### createException

          public static ValidationException createException(String message,
                                                            String keyword,
                                                            Object input,
                                                            Throwable cause)

    - #### createException

          public static ValidationException createException(String message,
                                                            String keyword,
                                                            Object input)

    - #### keyword

          public String keyword()

      Returns the keyword that failed the validation, if any
      Returns:

    - #### input

          public Object input()

      Returns the input that triggered the error
      Returns:

    - #### schema

          public Schema schema()

      Returns the schema that failed the validation
      Returns:

    - #### scope

          public JsonPointer scope()

      Returns the scope of the schema that failed the validation
      Returns:

    - #### setSchema

          public void setSchema(Schema schema)

    - #### setScope

          public void setScope(JsonPointer scope)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 2020 Eclipse. All rights reserved.